<?php

namespace Modules\Dummy\Database\Seeders\Modules\CMS;

use Illuminate\Database\Seeder;
use Illuminate\Database\Eloquent\Model;

use Modules\Dummy\Database\Seeders\Modules\CMS\versions\v1_2_0\DatabaseSeeder as DatabaseSeederV12;
use Modules\Dummy\Database\Seeders\Modules\CMS\versions\v1_4_0\DatabaseSeeder as DatabaseSeederV14;
use Modules\Dummy\Database\Seeders\Modules\CMS\versions\v1_6_0\DatabaseSeeder as DatabaseSeederV16;
use Modules\Dummy\Database\Seeders\Modules\CMS\versions\v1_7_0\DatabaseSeeder as DatabaseSeederV17;
use Modules\Dummy\Database\Seeders\Modules\CMS\versions\v1_8_0\DatabaseSeeder as DatabaseSeederV18;

class CMSDatabaseSeeder extends Seeder
{
    /**
     * Run the database seeds.
     *
     * @return void
     */
    public function run()
    {
        Model::unguard();

        $this->call(PageTableSeeder::class);
        $this->call(AdminMenusTableSeeder::class);
        $this->call(MenuItemsTableSeeder::class);
        $this->call(ThemeOptionsTableSeeder::class);

        $this->call(DatabaseSeederV12::class);
        $this->call(DatabaseSeederV14::class);

        $this->call(DatabaseSeederV16::class);
        $this->call(DatabaseSeederV17::class);
        $this->call(DatabaseSeederV18::class);
    }
}